<!--Strana za registrovanje-->
<!DOCTYPE html>
<html>
    <body>
        <div class="hero"> 
            
            <app-navigation></app-navigation>
            <div class="form-box">
                <div class="button-box">
                    <p class="p"> Change e-mail</p> 
                </div>

                
                <form id="change" class="input-group" [formGroup]="changeForm" (ngSubmit)="change(changeForm.value)">
                    <input type="email" name="newEmail"  formControlName="newEmail"  class="input-field" placeholder="new email" required>
                    <p class="error-msg" *ngIf="!newEmail_">E-mail already exists</p>
                    <p class="error-msg" *ngIf="newEmail().errors?.email">E-mail is not valid</p>

                    <input type="password" name="password" class="input-field" formControlName="password" placeholder="password" required>
                    <p class="error-msg" *ngIf="!password_">Password is not valid</p>

                    <button type="submit" [disabled]="!changeForm.valid"  class="submit-btn">Change</button>
                </form>
                
            </div>
        </div>
    </body>
</html>
